Subject: Re: [bug-diffutils] bug#68966: support to fix output from diff command

From: [email-masked]
Date: Thu, 08 Feb 2024 02:37:38 +0100

Hi.

   I'm getting that the last line of test1.log has one final space 
instead of two.

On 2024-02-07 09:21, Sumit Kakkar wrote:
> Hi Team,
> 
> I am trying to see the difference in 2 files. These 2 files have the
> same o/p however the sequence is different. Once i am executing diff,
> it is giving me o/p though same o/p available in both files as below.
> 
> [cbdivnbl@scp-2-scripting(auhenm1) ~]$ diff test1.log test2.log
> 6,7d5
> < AAN2037_FN_BB2       1                    AAN2037_N78_S2C1
> UNLOCKED             DISABLED
> < AAN2037_FN_BB2       1                    AAN2037_N78_S2C2
> UNLOCKED             DISABLED
> 10c8,10
> < AAN3278_N_BB2        1                    AAN3278_N41_S2C1
> UNLOCKED             DISABLED
> ---
>> AAN3278_N_BB2        1                    AAN3278_N41_S2C1
> UNLOCKED             DISABLED
>> AAN2037_FN_BB2       1                    AAN2037_N78_S2C1
> UNLOCKED             DISABLED
>> AAN2037_FN_BB2       1                    AAN2037_N78_S2C2
> UNLOCKED             DISABLED
> 
> I am attaching both files so have a look and confirm if this is a bug
> and how to fix this.
> 
> --
> 
> Warm Regards,
> 
> Sumit Kakkar